File convmv.changes of Package convmv

-------------------------------------------------------------------
Tue Aug 23 16:58:36 CEST 2011 - tiwai@suse.de

- updated to version 1.15:
  add --dump-options; fix a bug in case-insensitive filesystems;
  see Changes file for details

-------------------------------------------------------------------
Mon Jul 27 17:34:23 CEST 2009 - tiwai@suse.de

- updated to version 1.14:
  see Changes file for details

-------------------------------------------------------------------
Thu Jan 31 19:32:02 CET 2008 - crrodriguez@suse.de

- update to version 1.12 and fix build 
- now work with Perl 5.10 using an eval block
- GPL v2 and v3 now

-------------------------------------------------------------------
Tue Jul 11 13:01:30 CEST 2006 - mfabian@suse.de

- update to 1.10:
  + now use from_to instead of utf8::decode (which is experimental
    and might vanish in the future) to check for valid UTF-8
  + updates and cleanups of testsuite and include "0" filename
  + fix "0" filename bugs
  + take into account that charset name "utf-8" resolves to
    "utf-8-strict" in recent Perl versions

-------------------------------------------------------------------
Wed Jan 25 21:46:01 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Fri Dec 09 17:59:06 CET 2005 - mfabian@suse.de

- Bugzilla #135497: fixed by updating to 1.09.

-------------------------------------------------------------------
Wed Aug 25 03:03:31 CEST 2004 - mfabian@suse.de

- update to 1.08.

-------------------------------------------------------------------
Thu Mar 25 23:46:18 CET 2004 - mfabian@suse.de

- add patch from author Bjoern Jacke:
  do not complain about wrong from_enc if to_enc is utf8 and
  files are, too. Thanks to Kuang-che Wu.

-------------------------------------------------------------------
Wed Jan 14 23:20:45 CET 2004 - mfabian@suse.de

- don't build as root.
- update to 1.07.
  New since 1.05:
  * add option to undo ugly http- and ftp-like escape sequences
  * add option to upper/lowercase virtually any charset
  * for upper/lower conversion add a "dotless i" option for
    Lithuanian, Turkish and Azeri
  * check for characters not allowed in POSIX filesystems
    (just in case someone wants to try to convert to UTF-16)
  * rewrote checkenc(), no more false alarms now with "encodings"
    like MIME-Q, which can look quite different.

-------------------------------------------------------------------
Thu Aug 14 11:12:35 CEST 2003 - mfabian@suse.de

- small update from author:
  * add file length check

-------------------------------------------------------------------
Fri Jul 25 11:02:30 CEST 2003 - mfabian@suse.de

- update to 1.05.
  From the Changes file:
  * --qfrom/to also mask cntrl characters now
  * symlink printout splitted to get correct output
  * missing $arg in symlink fixed (bug introduced in 1.02)
  * add NFS4 issues to documentation
  * add test suite

-------------------------------------------------------------------
Wed Jul 16 12:27:44 CEST 2003 - mfabian@suse.de

- update to 1.04.
  From the Changes file:
  * add --exec option to allow arbitrary operations
  * add --lowmem option to keep memory footprint low when millions
    of files are being converted. However this will deactivate
    symlink target checks.
  * add Samba issues to documentation
  * suppress normalization error messages in cases of invalid
    UTF-8 in checkenc()

-------------------------------------------------------------------
Mon Jun 30 17:10:28 CEST 2003 - mfabian@suse.de

- update to 1.02.
  From the Changes file:
  * make default behaviour to not work recursively so we can
    convert a single directory, use -r to get the old (recursive)
    mode
  * work around find() oddity, which doesn't process directories
    from @ARGV
  * die on unknown option
  * check if files exist and die otherwise

-------------------------------------------------------------------
Mon May 12 16:46:10 CEST 2003 - mfabian@suse.de

- update to 1.01
- remove patch which requires Encode::HanExtra and Encode::JIS2K
  because these two packages use "enc2xs -C" in %post and %postun
  now which makes on demand loading of these encodings possible
  without a "require" in convmv.

-------------------------------------------------------------------
Fri May  9 19:15:38 CEST 2003 - mfabian@suse.de

- add patch to require Encode::HanExtra and Encode::JIS2K
  if available

-------------------------------------------------------------------
Fri May  9 15:22:21 CEST 2003 - mfabian@suse.de

- new package: convmv 1.0.